// album.h : main header file for the Album application  
// doug overmyer 7/1/93
// display/print albums of bitmapped graphics
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"           // main symbols
#include "albuminc.h"

const char filter[] = "bitmaps \0*.bmp;*.pcx;*.gif\0metafiles\0*.wmf\0\0";
/////////////////////////////////////////////////////////////////////////////
// CAlbumApp:
// See album.cpp for the implementation of this class
//

class CAlbumApp : public CWinApp
{  
// 
public:
	CAlbumApp();  
	virtual BOOL InitInstance(); 
	int ExitInstance();
	
//attributes
	CPtrList* GetTemplateList()
		{return &m_templateList;}


// Attributes
	CObList			m_viewList, m_docList; 
	CMultiDocTemplate*	m_pPrntTemplate,* m_pDibTemplate; 
	CRect    	m_rcSplash;
	UINT			m_uTimerID;  
	CWnd*    	m_pAbout ;  
	SState    m_State; 

// Implementation 
	CObList* GetDocList();  
	SState	GetStateInfo()
		{return m_State;}
	CObList* GetViewList();
	void LoadStdProfileSettings(); 
	virtual CDocument* OpenDocumentFile( LPCSTR lpszFileName );
	void SaveStdProfileSettings();
	void SetStateInfo(SState st);
	void Take5();   

	//{{AFX_MSG(CAlbumApp)
	afx_msg void OnAppAbout();
	afx_msg void OnEditPaste();;
	afx_msg void OnFileOpen();
	afx_msg void OnFilePrintList();
	afx_msg void OnFileNew();
	afx_msg void OnFileSave(); 
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnHelpIndex();
	afx_msg void OnUpdateHelpIndex(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

